import { Component, OnInit } from '@angular/core';

import { AuthService, AuthSession } from '../auth.service'
import { PolicyService } from '../policy.service'

@Component({
  selector: 'app-diag-policies',
  templateUrl: './diag-policies.component.html',
  styleUrls: ['./diag-policies.component.scss']
})
export class DiagPoliciesComponent implements OnInit {
  public diagPolicies: any

  constructor(
    private api: PolicyService,
    public authService: AuthService,
  ) { }

  ngOnInit(): void {
    if (this.authService.hasSession()) {
      this.api.getDiagPolicies().subscribe((diagPolicies) => {
        this.diagPolicies = diagPolicies
      })
    }
  }
}